Debian Bug report logs - #359926
initramfs-tools: diskless / nfsroot boot fails at nfsmount ... , works with mount -t nfs ...

version graph

Package: initramfs-tools; Maintainer for initramfs-tools is Debian kernel team <debian-kernel@lists.debian.org>; Source for initramfs-tools is src:initramfs-tools.

Reported by: Harry Coin <harrycoin@qconline.com>

Date: Wed, 29 Mar 2006 15:48:14 UTC

Severity: important

Found in versions initramfs-tools/0.73b, initramfs-tools/0.55b

Fixed in versions initramfs-tools/0.74, initramfs-tools/0.70b

Done: maximilian attems <maks@sternwelten.at>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#359926; Package initramfs-tools. Full text and rfc822 format available.

Acknowledgement sent to Harry Coin <harrycoin@qconline.com>:
New Bug report received and forwarded. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Harry Coin <harrycoin@qconline.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: initramfs-tools: diskless / nfsroot boot fails at nfsmount ... , works with mount -t nfs ...
Date: Wed, 29 Mar 2006 09:40:02 -0600
Package: initramfs-tools
Version: 0.55b
Severity: important
Tags: patch

When booting a diskless Athlon64 system via NFS v3, the boot times out and fails to a busybox
at the nfsmount command in the script nfs.  The complaints it gives include 'short read 0 < 58'
and a complaint about no TCP response.  Changing the boot options (and checking that they are
actually the ones passed to nfsmount) to '-o udp,nolock,retrans=10' still locks at the same
spot with eventual read timeouts.

Changing one line the short script file 'nfs' to use 

mount -t nfs ...

instead of 

nfsmount .... 

Then update-initramfs -u, then copying the new initrd image to the right tftp boot directory solved the problem.  Normal 
operations resumed.  In fact I was able to include in the pxelinux config file the further commands NFSOPTS="-o 
nolock,udp,retrans=10,wsize=8192,rsize=8192" to get a dramatic performance benefit.

If there is interest in diskless booting with the initramfs tools, the 'nfsroot=auto' script needs fixing too as it puts in 
the IP address twice and the boot fails.  I had to put nfsroot=192.168.0.111:/my/path/to/root explicitly in the 
pxelinux.0/${macaddressinhexhere} setup file before I got it to work.  I have no idea why nfsmount didn't work, 
but I feel pretty sure the problem is bigger than simply the unavailability of the portmap daemon.

I'm actually using the diskless system now to file this report, to give folk confidence in can happen. My goal was to get 
as close to a 'vanilla' Debian system with as few speciality-diskless packages and option settings as possible running. 
With this little fix to the nfs script this diskless system is otherwise logically identical to a vanilla disk based one 
that has everything in a single partition with only nfs client compiled in as an 'extra'.  Next project, to add a little 
swapfile 'just in case' then, done!

Hope this helps.

Sincerely,

Harry Coin
Bettendorf, Iowa



-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15diskless-a64
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages initramfs-tools depends on:
ii  busybox                       1:1.01-4   Tiny utilities for small and embed
ii  cpio                          2.6-11     GNU cpio -- a program to manage ar
ii  klibc-utils                   1.2.4-1    small statically-linked utilities 
ii  udev                          0.087-2    /dev/ and hotplug management daemo

initramfs-tools recommends no packages.

-- no debconf information



Tags removed: patch Request was from maximilian attems <maks@sternwelten.at> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to maximilian attems <maks@sternwelten.at>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Harry Coin <harrycoin@qconline.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 359926-close@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@sternwelten.at>
To: 359926-close@bugs.debian.org
Subject: Bug#359926: fixed in initramfs-tools 0.70b
Date: Wed, 19 Jul 2006 07:32:06 -0700
Source: initramfs-tools
Source-Version: 0.70b

We believe that the bug you reported is fixed in the latest version of
initramfs-tools, which is due to be installed in the Debian FTP archive:

initramfs-tools_0.70b.dsc
  to pool/main/i/initramfs-tools/initramfs-tools_0.70b.dsc
initramfs-tools_0.70b.tar.gz
  to pool/main/i/initramfs-tools/initramfs-tools_0.70b.tar.gz
initramfs-tools_0.70b_all.deb
  to pool/main/i/initramfs-tools/initramfs-tools_0.70b_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 359926@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
maximilian attems <maks@sternwelten.at> (supplier of updated initramfs-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 19 Jul 2006 16:00:47 +0200
Source: initramfs-tools
Binary: initramfs-tools
Architecture: source all
Version: 0.70b
Distribution: unstable
Urgency: low
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Changed-By: maximilian attems <maks@sternwelten.at>
Description: 
 initramfs-tools - tools for generating an initramfs
Closes: 359926 367567
Changes: 
 initramfs-tools (0.70b) unstable; urgency=low
 .
   * Be more careful about vi dot files, removed.
     Thanks Frederik Schüler <fs@debian.org> for review.
 .
 initramfs-tools (0.70) unstable; urgency=low
 .
   * mkinitramfs: Don't include static kinit, nor gzip. They are the biggest
     klibc-utils binaries and we don't use them. Keep static gunzip, zcat and
     shared kinit for now.
 .
   * Reduce diff against 0.69ubuntu3:
     - hook-functions: Fix kernel typo.
     - hooks/kernelextras: Fix comment and add vga16fb too.
     - init: Whitespace cleanup, add one more quiet check.
     - mkinitramfs: Use check_minkver instead of dpkg itself. Whitespace
       cleanup and add quoting.
     - scripts/local: Whitespace cleanup and add a comment.
     - scripts/nfs: Use mount with nolock instead of nfsmount.
       (closes: 359926)
     - update-initramfs: Add quoting + whitespace fix.
     - changelog: for noise reduction add 0.69ubuntu{1,2,3}, all 0.40ubuntu*,
       0.36ubuntu1 and missing 0.29 + 0.28 entries.
     - initramfs-tools.install, initramfs-tools.postinst and
       initramfs-tools.preinst merge 0.69ubuntu3.
 .
   * break.txt, debian/NEWS, debian/changelog, debian/copyright,
     docs/example_hook, docs/example_hook_cpiogz, docs/example_script,
     hooks/lvm, hooks/md, init, initramfs-tools.8, initramfs.conf.5,
     mkinitramfs, mkinitramfs-kpkg, mkinitramfs-kpkg.8, mkinitramfs.8,
     scripts/functions, scripts/local-top/udev_helper, update-initramfs,
     update-initramfs.8: Cleanup trailing whitespace and non tabular indents.
 .
   * scripts/local-premount/resume: Use new resume bin from klibc-utils.
     Removes superflous stat and awk usage.
 .
   * debian/control: Depend against newer klibc-utils 1.4.11-1.
 .
   * hooks/md, scripts/local-top/md: Drop as mdadm > 2.5-1 features them.
     (closes: #367567)
Files: 
 18bd00f14e5b511a2eb53b92eba50113 625 utils optional initramfs-tools_0.70b.dsc
 648d0f801a0a271cbf5756d9ce62cef6 43063 utils optional initramfs-tools_0.70b.tar.gz
 6f9a34d173ce98e77fd29a574a6ccaf1 49334 utils optional initramfs-tools_0.70b_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEvj7k6n7So0GVSSARArc8AJoDeKEPM9t7IwtxVzZUF+OgK/dTCgCeMEMc
en4uiOig/Kptr/30s2yd0Rc=
=lynk
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#359926; Package initramfs-tools. Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant+bugs@freegeek.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #17 received at 359926@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant+bugs@freegeek.org>
To: Debian Bug Tracking System <359926@bugs.debian.org>
Subject: initramfs-tools: nfsmount: intermittent failures
Date: Sun, 6 Aug 2006 14:21:30 -0700
Package: initramfs-tools
Version: 0.73b
Followup-For: Bug #359926

i'm getting this almost every other time in a qemu environment:

Begin: Running /scripts/nfs-premount ...
Done.
nfs: server 10.0.2.2 not responding, timed out
nfs: server 10.0.2.2 not responding, timed out
mount: I/O error
short read: 0 < 28
Begin: Running /scripts/nfs-bottom ...
Done.

qemu often has weird clock issues, so timeout problems aren't so
surprising, so i don't know if this warrants re-opening this bug or not.

live well,
  vagrant


Versions of packages initramfs-tools depends on:
ii  busybox                  1.1.3-2                Tiny utilities for small and embedded systems
ii  cpio                     2.6-17                 GNU cpio -- a program to manage archives of files
ii  klibc-utils              1.4.11-3               small statically-linked utilities built with klibc
ii  module-init-tools        3.2.2-3                tools for managing Linux kernel modules
ii  udev                     0.093-1                /dev/ and hotplug management daemon



Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#359926; Package initramfs-tools. Full text and rfc822 format available.

Acknowledgement sent to "Jamie White" <jatos.software@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #22 received at 359926@bugs.debian.org (full text, mbox):

From: "Jamie White" <jatos.software@gmail.com>
To: 359926@bugs.debian.org
Subject: net boot bug
Date: Tue, 1 Apr 2008 23:53:55 +0100
Hi

I am using Debian etch with a custom compiled 2.6.24 kernel on the
tftpd server, with the appropriate modules directory on the system
compiled it with

I made my initramfs with the following command:

mkinitramfs /initrd-netboot-2.6.24.img.gz 2.6.24

When my tftp server is setup etc etc, it loads the kernel and initrd
fine and boots fine right up until it try to mount the FS, whereupon I
get the mount : i/o error, not going to bother repeating the error as
its the same as the original one.

Incidently, it did boot twice. Also, google turned me up a bug report
for the same bug on Ubuntu -
https://launchpad.net/ubuntu/breezy/+source/initramfs-tools/+bug/19196
- they seem to have fixed it on Dapper.

Jamie




Marked as fixed in versions initramfs-tools/0.74. Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Wed, 06 Jun 2012 14:15:21 GMT) Full text and rfc822 format available.

Bug archived. Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Wed, 06 Jun 2012 14:21:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 09:04:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.